TechDraw CosmeticVertex: Difference between revisions

From FreeCAD Documentation
(Notes)
No edit summary
 
(5 intermediate revisions by one other user not shown)
Line 24: Line 24:


<!--T:8-->
<!--T:8-->
The '''TechDraw CosmeticVertex''' tool adds a [[Glossary#V|vertex]], which is not part of the source geometry, to a View. This vertex behaves like any other vertex and can be used for dimensioning.
The '''TechDraw CosmeticVertex''' tool adds a [[Glossary#V|vertex]], which is not part of the source geometry, to a view. This vertex behaves like any other vertex and can be used for dimensioning.


</translate>
</translate>
Line 30: Line 30:
<translate>
<translate>
<!--T:9-->
<!--T:9-->
{{Caption|Cosmetic vertex used to create an otherwise impossible dimension}}
{{Caption|Cosmetic vertices used to create an otherwise impossible dimension}}


==Usage== <!--T:3-->
==Usage== <!--T:3-->


<!--T:10-->
<!--T:10-->
# Select a view in the drawing.
# Select a view.
# There are several ways to invoke the tool:
# Press the {{Button|[[Image:TechDraw_CosmeticVertex.svg|16px]] Add Cosmetic Vertex}} button
#* Press the {{Button|[[Image:TechDraw_CosmeticVertex.svg|16px]] [[TechDraw_CosmeticVertex|Add Cosmetic Vertex]]}} button.
# A task dialog will open. It allows to set location of the Cosmetic Vertex either by picking a point or by entering an x,y-offset from the center of the selected view.
#* Select the {{MenuCommand|TechDraw → Add Vertices → [[Image:TechDraw_CosmeticVertex.svg|16px]] Add Cosmetic Vertex}} option from the menu.
# To pick a position, press the button {{Button|Point Picker}}. Click to a position in the view and subsequently press {{Button|OK}} to create the point. To exit the point picking without creating a Cosmetic Vertex, press the {{Button|Escape picking}} button in the dialog.
# A task panel opens.
# Optionally press the {{Button|Point Picker}} button and pick a point on the page. Press the {{Button|Escape picking}} button to cancel this operation.
# Optionally change or specify the X and Y coordinates of the point. The coordinates are relative to the center of the view.
# Press the {{Button|OK}} button.


==Notes==
==Notes== <!--T:24-->


<!--T:25-->
* You cannot change the position of an existing cosmetic vertex. At the moment there is no other way than to delete it and create a new one.
* You cannot change the position of an existing cosmetic vertex. At the moment there is no other way than to delete it and create a new one.
* To delete a cosmetic vertex use [[Image:TechDraw_CosmeticEraser.svg|16px]] [[TechDraw_CosmeticEraser|TechDraw CosmeticEraser]].


==Properties== <!--T:19-->
==Properties== <!--T:19-->
Line 56: Line 60:


<!--T:13-->
<!--T:13-->
Cosmetic Vertices are available to [[Macros|macros]] or the [[Python|Python]] console.
Cosmetic vertices are available to [[Macros|macros]] or the [[Python|Python]] console.


</translate>
</translate>

Latest revision as of 13:07, 26 March 2024

TechDraw CosmeticVertex

Menu location
TechDraw → Add Vertices → Add Cosmetic Vertex
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
TechDraw Midpoint, TechDraw Quadrant

Description

The TechDraw CosmeticVertex tool adds a vertex, which is not part of the source geometry, to a view. This vertex behaves like any other vertex and can be used for dimensioning.

Cosmetic vertices used to create an otherwise impossible dimension

Usage

  1. Select a view.
  2. There are several ways to invoke the tool:
    • Press the Add Cosmetic Vertex button.
    • Select the TechDraw → Add Vertices → Add Cosmetic Vertex option from the menu.
  3. A task panel opens.
  4. Optionally press the Point Picker button and pick a point on the page. Press the Escape picking button to cancel this operation.
  5. Optionally change or specify the X and Y coordinates of the point. The coordinates are relative to the center of the view.
  6. Press the OK button.

Notes

  • You cannot change the position of an existing cosmetic vertex. At the moment there is no other way than to delete it and create a new one.

Properties

Cosmetic vertices have no properties of their own, as they are not document objects. They share color and size settings with regular geometry vertices.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

Cosmetic vertices are available to macros or the Python console.

dvp = App.ActiveDocument.View
org = App.Vector(0.0, 0.0, 0.0)
dvp.makeCosmeticVertex(org);

#lines too!
start = FreeCAD.Vector (1.0, 5.0, 0.0)
end = FreeCAD.Vector(1.0, -5.0, 0.0)
style = 2
weight = 0.75
pyGreen = (0.0, 0.0, 1.0, 0.0)
dvp.makeCosmeticLine(start,end,style, weight, pyGreen)